package com.zyc.system.service;

import java.util.List;
import com.zyc.system.domain.AlarmInfo;

/**
 * 告警信息Service接口
 * 
 * @author zyc
 * @date 2024-12-26
 */
public interface IAlarmInfoService 
{
    /**
     * 查询告警信息
     * 
     * @param id 告警信息主键
     * @return 告警信息
     */
    public AlarmInfo selectAlarmInfoById(Integer id);

    /**
     * 查询告警信息列表
     * 
     * @param alarmInfo 告警信息
     * @return 告警信息集合
     */
    public List<AlarmInfo> selectAlarmInfoList(AlarmInfo alarmInfo);

    /**
     * 新增告警信息
     * 
     * @param alarmInfo 告警信息
     * @return 结果
     */
    public int insertAlarmInfo(AlarmInfo alarmInfo);

    /**
     * 修改告警信息
     * 
     * @param alarmInfo 告警信息
     * @return 结果
     */
    public int updateAlarmInfo(AlarmInfo alarmInfo);

    /**
     * 批量删除告警信息
     * 
     * @param ids 需要删除的告警信息主键集合
     * @return 结果
     */
    public int deleteAlarmInfoByIds(Integer[] ids);

    /**
     * 删除告警信息信息
     * 
     * @param id 告警信息主键
     * @return 结果
     */
    public int deleteAlarmInfoById(Integer id);
}
